import { AfterViewInit, OnDestroy, TemplateRef, ViewContainerRef } from '@angular/core';
import { NgxPlusifyDatepickerBase, NgxPlusifyDatepickerControl } from './datepicker-base';
import * as i0 from "@angular/core";
/** Button that will close the datepicker and assign the current selection to the data model. */
export declare class NgxPlusifyDatepickerApply {
    readonly _datepicker: NgxPlusifyDatepickerBase<NgxPlusifyDatepickerControl<any>, unknown>;
    constructor(_datepicker: NgxPlusifyDatepickerBase<NgxPlusifyDatepickerControl<any>, unknown>);
    _applySelection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerApply, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxPlusifyDatepickerApply, "[ngxPlusifyDatepickerApply], [ngxPlusifyDateRangePickerApply]", never, {}, {}, never, never, true, never>;
}
/** Button that will close the datepicker and discard the current selection. */
export declare class NgxPlusifyDatepickerCancel {
    readonly _datepicker: NgxPlusifyDatepickerBase<NgxPlusifyDatepickerControl<any>, unknown>;
    constructor(_datepicker: NgxPlusifyDatepickerBase<NgxPlusifyDatepickerControl<any>, unknown>);
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerCancel, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxPlusifyDatepickerCancel, "[ngxPlusifyDatepickerCancel], [ngxPlusifyDateRangePickerCancel]", never, {}, {}, never, never, true, never>;
}
/**
 * Container that can be used to project a row of action buttons
 * to the bottom of a datepicker or date range picker.
 */
export declare class NgxPlusifyDatepickerActions implements AfterViewInit, OnDestroy {
    private _datepicker;
    private _viewContainerRef;
    _template: import("@angular/core").Signal<TemplateRef<unknown>>;
    private _portal;
    constructor(_datepicker: NgxPlusifyDatepickerBase<NgxPlusifyDatepickerControl<any>, unknown>, _viewContainerRef: ViewContainerRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerActions, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxPlusifyDatepickerActions, "ngx-plusify-datepicker-actions, ngx-plusify-date-range-picker-actions", never, {}, {}, never, ["*"], true, never>;
}
//# sourceMappingURL=datepicker-actions.d.ts.map