import { BooleanInput } from '@angular/cdk/coercion';
import { AfterContentInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { MatButton } from '@angular/material/button';
import { NgxPlusifyDatepickerControl, NgxPlusifyDatepickerPanel } from './datepicker-base';
import { NgxPlusifyDatepickerIntl } from './datepicker-intl';
import * as i0 from "@angular/core";
/** Can be used to override the icon of a `matDatepickerToggle`. */
export declare class NgxPlusifyDatepickerToggleIcon {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerToggleIcon, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxPlusifyDatepickerToggleIcon, "[ngxPlusifyDatepickerToggleIcon]", never, {}, {}, never, never, true, never>;
}
export declare class NgxPlusifyDatepickerToggle<D> implements AfterContentInit, OnDestroy {
    _intl: NgxPlusifyDatepickerIntl;
    private _changeDetectorRef;
    private _stateChanges;
    /** Datepicker instance that the button will toggle. */
    readonly datepicker: import("@angular/core").InputSignal<NgxPlusifyDatepickerPanel<NgxPlusifyDatepickerControl<any>, D, import("./date-selection-model").NgxExtractDateTypeFromSelection<D>>>;
    /** Tabindex for the toggle. */
    tabIndex: number | null;
    /** Screen-reader label for the button. */
    readonly ariaLabel: import("@angular/core").InputSignal<string>;
    /** Whether the toggle button is disabled. */
    get disabled(): boolean;
    set disabled(value: BooleanInput);
    private _disabled;
    /** Whether ripples on the toggle should be disabled. */
    disableRipple: import("@angular/core").InputSignal<boolean>;
    /** Underlying button element. */
    _button: import("@angular/core").Signal<MatButton>;
    constructor(_intl: NgxPlusifyDatepickerIntl, _changeDetectorRef: ChangeDetectorRef, defaultTabIndex: string);
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    _open(event: Event): void;
    private _watchStateChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPlusifyDatepickerToggle<any>, [null, null, { attribute: "tabindex"; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxPlusifyDatepickerToggle<any>, "ngx-plusify-datepicker-toggle", ["ngxPlusifyDatepickerToggle"], { "datepicker": { "alias": "for"; "required": false; "isSignal": true; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "ariaLabel": { "alias": "aria-label"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; }; "disableRipple": { "alias": "disableRipple"; "required": false; "isSignal": true; }; }, {}, never, ["[ngxPlusifyDatepickerToggleIcon]"], true, never>;
}
//# sourceMappingURL=datepicker-toggle.d.ts.map